Upstream information

CVE-2009-4029 at MITRE

Description

The (1) dist or (2) distcheck rules in GNU Automake 1.11.1, 1.10.3, and release branches branch-1-4 through branch-1-9, when producing a distribution tarball for a package that uses Automake, assign insecure permissions (777) to directories in the build tree, which introduces a race condition that allows local users to modify the contents of package files, introduce Trojan horse programs, or conduct other attacks before the build is complete.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.4
Vector AV:L/AC:M/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 559815 [CLOSED / FIXED], 770618 [RESOLVED / FIXED], 786745 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • m4 >= 1.4.16-15.74
Patchnames:
SUSE Linux Enterprise Desktop 12 GA m4
SUSE Linux Enterprise Desktop 12 SP1
  • m4 >= 1.4.16-15.74
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA m4
SUSE Linux Enterprise Desktop 12 SP2
  • m4 >= 1.4.16-15.74
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA m4
SUSE Linux Enterprise Desktop 12 SP3
  • m4 >= 1.4.16-15.74
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA m4
SUSE Linux Enterprise Module for Basesystem 15
  • automake >= 1.15.1-2.145
  • m4 >= 1.4.18-2.138
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA automake
SUSE Linux Enterprise Server 11 SP4
  • automake >= 1.10.1-4.131.9.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA automake
SUSE Linux Enterprise Server 12
  • automake >= 1.13.4-4.56
  • m4 >= 1.4.16-15.74
Patchnames:
SUSE Linux Enterprise Server 12 GA automake
SUSE Linux Enterprise Server 12 SP1
  • automake >= 1.13.4-4.56
  • m4 >= 1.4.16-15.74
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA automake
SUSE Linux Enterprise Server 12 SP2
  • automake >= 1.13.4-6.2
  • m4 >= 1.4.16-15.74
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA automake
SUSE Linux Enterprise Server 12 SP3
  • automake >= 1.13.4-6.2
  • m4 >= 1.4.16-15.74
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA automake
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • automake >= 1.13.4-6.2
  • m4 >= 1.4.16-15.67
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA automake
SUSE Linux Enterprise Software Development Kit 11 SP4
  • automake >= 1.10.1-4.131.9.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA automake
SUSE Linux Enterprise Software Development Kit 12
  • automake >= 1.13.4-4.56
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA automake
SUSE Linux Enterprise Software Development Kit 12 SP1
  • automake >= 1.13.4-4.56
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA automake
SUSE Linux Enterprise Software Development Kit 12 SP2
  • automake >= 1.13.4-6.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA automake
SUSE Linux Enterprise Software Development Kit 12 SP3
  • automake >= 1.13.4-6.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA automake
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
SUSE Linux Enterprise Software Development Kit 11 SP3
  • automake >= 1.10.1-4.131.9.1
Builds
SAT Patch Nr: 8197
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
SUSE Linux Enterprise Software Development Kit 11 SP2
  • automake >= 1.10.1-4.131.9.1
Builds
SAT Patch Nr: 8196
openSUSE Leap 15.0
  • m4 >= 1.4.18-lp150.2.41
Patchnames:
openSUSE Leap 15.0 GA m4
openSUSE Leap 42.1
  • automake >= 1.13.4-6.4
  • m4 >= 1.4.16-3.2
Patchnames:
openSUSE Leap 42.1 GA automake
openSUSE Leap 42.2
  • automake >= 1.13.4-8.9
  • m4 >= 1.4.16-4.5
Patchnames:
openSUSE Leap 42.2 GA automake
openSUSE Leap 42.3
  • automake >= 1.13.4-10.15
  • m4 >= 1.4.16-6.3
Patchnames:
openSUSE Leap 42.3 GA automake
openSUSE Tumbleweed
  • automake >= 1.15-4.6
  • cppi >= 1.18-2.4
  • cppi-lang >= 1.18-2.4
  • m4 >= 1.4.17-5.7
Patchnames:
openSUSE Tumbleweed GA automake
openSUSE Tumbleweed GA cppi


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP1 automake Released
SUSE Linux Enterprise SDK 11 SP2 automake Released
SUSE Linux Enterprise SDK 11 SP3 automake Released
SUSE Linux Enterprise Server 10 SP4 LTSS automake Affected
SUSE Linux Enterprise Server 11 SP1 automake Released
SUSE Linux Enterprise Server 11 SP1 LTSS automake Released
SUSE Linux Enterprise Server 11 SP2 automake Released
SUSE Linux Enterprise Server 11 SP2 LTSS automake Released
SUSE Linux Enterprise Server 11 SP3 automake Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 automake Released
SUSE Linux Enterprise Server for VMWare 11 SP2 automake Released
SUSE Linux Enterprise Server for VMWare 11 SP3 automake Released